package com.lz.modules.flow.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.common.utils.PageUtils;
import com.lz.modules.flow.entity.RecordRole;
import com.lz.modules.sys.entity.SysMenuEntity;
import com.lz.modules.sys.entity.SysRoleEntity;
import com.lz.modules.sys.entity.app.ResultRecord;

import java.util.List;
import java.util.Map;

/**
* <p>
* 记录表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-18
*/
public interface RecordRoleService extends IService<RecordRole> {



	RecordRole selectRecordRoleById(Long id);


	Long insertRecordRole(RecordRole recordRole);


	int updateRecordRoleById(RecordRole recordRole);


	int updateCoverRecordRoleById(RecordRole recordRole);


	int deleteRecordRoleById(Long id);


    void deleteBatchIds(List<Long> asList);

	PageUtils queryPage(Map<String, Object> params);

	List<RecordRole> selectAll();

    SysRoleEntity getRole(Long id);

	List<SysMenuEntity> selectMenuList();

	SysMenuEntity buildMenuEntity(Long id, String name, Long parentId, String parentName);
}